javax.sql.rowset.serial

## Class SerialDatalink

- java.lang.Object
- - javax.sql.rowset.serial.SerialDatalink

All Implemented Interfaces:
  Serializable, Cloneable

    public class SerialDatalink
    extends Object
    implements Serializable, Cloneable

A serialized mapping in the Java programming language of an SQL `DATALINK` value. A `DATALINK` value references a file outside of the underlying data source that the data source manages.

`RowSet` implementations can use the method `RowSet.getURL` to retrieve a `java.net.URL` object, which can be used to manipulate the external data.

          java.net.URL url = rowset.getURL(1);

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SerialDatalink(URL url)` Constructs a new `SerialDatalink` object from the given `java.net.URL` object.

### Method Summary

Methods
`URL` `getDatalink()` Returns a new URL that is a copy of this `SerialDatalink` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerialDatalink

    public SerialDatalink(URL url)
                   throws SerialException

Constructs a new `SerialDatalink` object from the given `java.net.URL` object.

Throws:
  `SerialException` - if url parameter is a null

### Method Detail

#### getDatalink

    public URL getDatalink()
                    throws SerialException

Returns a new URL that is a copy of this `SerialDatalink` object.

Returns:
  a copy of this `SerialDatalink` object as a `URL` object in the Java programming language.
Throws:
  `SerialException` - if the `URL` object cannot be de-serialized

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.